*Review Exercies
*Activity 1: Data Management

*Create an id variable that uniquely identifies each observaion
gen id_n = _n

*Create a dummy variable for whether a country has 50% or more of their target
gen maj_vaccine = doses
replace maj_vaccine = 1 if coverage >= 50 & coverage != .
replace maj_vaccine = 0 if coverage < 50

*OR
gen majority_vaccine = (coverage >= 50 & coverage != .)

*Create categorical variable for year (1980s, 90s, 00s, 10s, 20)
gen year_cat = year
replace year_cat = 0 if year >= 1980 & year < 1990
replace year_cat = 1 if year >= 1990 & year < 2000
replace year_cat = 2 if year >= 2000 & year < 2010
replace year_cat = 3 if year >= 2010 & year < 2020
replace year_cat = 4 if year == 2020

*Create and apply lables for new categorical variable
label define year_lab 0 "1980s" 1 "1990s" 2 "2000s" 3 "2010s" 4 "2020"
label values year_cat year_lab

*Create dummy for 20th v 21st century
gen century_dummy = year
replace century_dummy = 0 if year <= 1999
replace century_dummy = 1 if year >= 2000 & year < 2021

*check to make sure your variables are coded correctly
gsort year

*reorder so ID is first variable listed
order id_n group code name year antigen antigen_description coverage_category coverage_category_description target_number doses coverage maj_vaccine majority_vaccine year_cat


*Activity 2: Describing the Dataset
*Investigate the data using descriptive statistics, one variable graphing procedures, and bivariate procedures
codebook

*Investigate Coverage, with detailed summary, box plot, and histogram. Does it have a skewed distribution?
summarize coverage, detail 
summarize coverage

gsort coverage 
*probably some error 

hist coverage, normal
*really skews our resuls, maybe drop
drop if coverage > 150 
*you would usually do tests to determine if you have outliers but this *is just practice, so we are dropping to make our lives easier. DO NOT *DO THIS IN REAL LIFE UNLESS YOU'VE RUN THE TESTS
hist coverage, normal
hist coverage, bin(50) normal
graph box coverage
qnorm coverage

*compare coverage rates between 20th and 21st century 
mean coverage, over(century_dummy)

hist coverage, by(century_dummy) normal

graph box coverage, over(century_dummy)

*which t-test do we need to run? (paired)
*lets run an unpaired t test by looking at a particular country over *the century dummy
ttest coverage if name == "Afghanistan", by(century_dummy)
sdtest coverage if name == "Afghanistan", by(century_dummy)
*variance not statistically different

*Run ANOVA to compare coverage for Afghanistan over the year category variable
oneway coverage year_cat if name == "Afghanistan", bonferroni tabulate

*Run a simple linear regression of Afghanistan with coverage as the DV and year as the IV
regress coverage year if name == "Afghanistan"


